JBoss API: Class EntitySynchronizationInterceptor.InstanceSynchronization

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class EntitySynchronizationInterceptor.InstanceSynchronization

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.EntitySynchronizationInterceptor.InstanceSynchronization

All Implemented Interfaces:
  javax.transaction.Synchronization

Direct Known Subclasses:
  EntityMultiInstanceSynchronizationInterceptor.MultiInstanceSynchronization

Enclosing class:
  EntitySynchronizationInterceptor

protected class EntitySynchronizationInterceptor.InstanceSynchronization
extends java.lang.Object
implements javax.transaction.Synchronization

Field Summary
`protected EntityEnterpriseContext` | `ctx` The context we manage.
`protected BeanLock` | `lock` The context lock
`protected javax.transaction.Transaction` | `tx` The transaction we follow.

Method Summary
`void` | `afterCompletion(int status)`
`void` | `beforeCompletion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tx

    protected javax.transaction.Transaction tx

  The transaction we follow.

### ctx

    protected EntityEnterpriseContext ctx

  The context we manage.

### lock

    protected BeanLock lock

  The context lock

Method Detail

### beforeCompletion

    public void beforeCompletion()

  Specified by:
    `beforeCompletion` in interface `javax.transaction.Synchronization`

### afterCompletion

    public void afterCompletion(int status)

  Specified by:
    `afterCompletion` in interface `javax.transaction.Synchronization`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.